支付
扣除用户资产到开放平台账户,回调商户API确认
此接口只能混合云saas+商户使用,而且要使用需回调商户API确认,回调URL:https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck ,商户需要提供回调域名 https://xxxx.xxxx.xxx 给平台进行配置,回调method固定值:/nofity/transferToMerchantAuthCheck。商户收到回调之后,需要进行验签,验签方式与请求该接口方式相同(如果请求使用md5,回调也用md5规则验签;如果请求使用rsa,回调也用rsa验签)
POST
/
platformapi
/
chainup
/
open
/
opay
/
transferToMerchantAuth
curl --request POST \
--url https://service.xxx.com/platformapi/chainup/open/opay/transferToMerchantAuth
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
curl --request POST \
--url https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
userId
string
requireduid
Example: 123456
appOrderId
string
required商家端订单id
Example: 11321
orderAmount
string
required金额
Example: 10
payCoinSymbol
string
required支付币种
Example: USDT1742
sign
string
required签名 (MD5(Sort(Param) + secret)).
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
msg
string
成功或失败提示信息
data
object
curl --request POST \
--url https://service.xxx.com/platformapi/chainup/open/opay/transferToMerchantAuth
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'
curl --request POST \
--url https://xxxx.xxxx.xxx/nofity/transferToMerchantAuthCheck
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"userId":"12345",
"appOrderId": "11321",
"orderAmount": "100",
"payCoinSymbol":"USDT1742"
}'